System.Configuration.Install 1.0.5000.0 2.0.0.0 System.Object

Typically, an is created by an installation executable, such as InstallUtil.exe, that installs assemblies. The installation program invokes the constructor, passing it the default log-file path and command-line parameters.

Prior to calling its , , , or methods, the installation program sets the property of an to the instance of . Before calling these methods, an that contains an installer collection in the property sets the property of each contained installer.

The property contains a parsed version of the command line that is entered to run the installation executable. The property contains information such as the path to a log file, whether to display log information on the console, and whether to show a user interface during the installation. Call the method to find out whether a command-line parameter is true.

Use the method to write status messages to the installation log file and the console.

Contains information about the current installation.

- Constructor

  This overload does not create a log file for the installation.

  Initializes a new instance of the class.

  1.0.5000.0
  2.0.0.0
- Constructor

  If the installation uses [<topic://cpconInstallerUtilityInstallutilexe>], this constructor creates a log file at the specified path and parses the array of command-line parameters into the property. If a log-file path is specified in the command-line parameters, it is used to create the file. If the log file argument is not specified in the command line, the value of the parameter is used. To suppress the creation of a log file, pass the "/logfile= " command-line parameter.

  Initializes a new instance of the class, and creates a log file for the installation.

  The path to the log file for this installation, or null if no log file should be created.
  The command-line parameters entered when running the installation program, or null if none were entered.
  1.0.5000.0
  2.0.0.0
- Method
  System.Boolean ``

  This method accesses the property, which contains a parsed version of the command-line parameters, to determine whether the specified parameter is true.

  Determines whether the specified command-line parameter is true.

  true if the specified parameter is set to "yes", "true", "1", or an empty string (""); otherwise, false.

  The name of the command-line parameter to check. 1.0.5000.0 2.0.0.0
- Method
  System.Void ``

  An installer can call this method to write progress or other status information to the log file. If the command-line parameters specify that a user interface should be displayed, the installer should show message boxes or make queries in addition to calling the method. Text written to the log file will not be seen by the user unless InstallUtil.exe is used to run the installation and "/LogToConsole= true" is specified in the command line.

  Writes a message to the console and to the log file for the installation.

  The message to write. 1.0.5000.0 2.0.0.0
- Property
  System.Collections.Specialized.StringDictionary To be added.

  When a new is created, the command-line parameters are parsed into the property. Both the keys and the values of the parameters are strings.

  Gets the command-line parameters that were entered when InstallUtil.exe was run.

  1.0.5000.0
  2.0.0.0
- Method
  System.Collections.Specialized.StringDictionary `` To be added.

  Parses the command-line parameters into a string dictionary.

  A containing the parsed command-line parameters.

  An array containing the command-line parameters. 1.0.5000.0 2.0.0.0